use axum::routing::get;

use crate::ruma_wrapper::RumaResponse;

pub fn routes() -> axum::Router {
    axum::Router::new().route("/versions", get(get_client_versions))
}

use ruma::api::client::discovery;

#[tracing::instrument]
async fn get_client_versions() -> RumaResponse<discovery::get_supported_versions::Response> {
    use discovery::get_supported_versions::*;

    RumaResponse(Response::new(vec!["v1.2".into()]))
}
